#define OPEN_TIME 3000
#define LOCK_PIN 3
#define BUTTON_PIN 2
#define GREEN_LED_PIN 8
#define RED_LED_PIN 9

void setup() {
  pinMode(LOCK_PIN, OUTPUT);
  pinMode(BUTTON_PIN, INPUT);
  pinMode(GREEN_LED_PIN, OUTPUT);
  pinMode(RED_LED_PIN, OUTPUT);
  digitalWrite(RED_LED_PIN, HIGH);
}

void loop() {
  if (digitalRead(BUTTON_PIN)) {
    open();
    delay(OPEN_TIME);
    close();
  }
  delay(20);
}

void open() {
  digitalWrite(LOCK_PIN, HIGH);
  digitalWrite(RED_LED_PIN, LOW);
  digitalWrite(GREEN_LED_PIN, HIGH);
}

void close() {
  digitalWrite(LOCK_PIN, LOW);
  digitalWrite(GREEN_LED_PIN, LOW);
  digitalWrite(RED_LED_PIN, HIGH);
}

