#define OPEN_TIME 3000
#define LOCK_PIN 3

void setup() {
  Serial.begin(9600);
  pinMode(LOCK_PIN, OUTPUT);
}

void loop() {
  if (Serial.available()) {
    String command = Serial.readStringUntil('\n');

    if (command == "apri") {
      open();
      delay(OPEN_TIME);
      close();
    } else {
      Serial.println("Comando non riconosciuto");
    }
  }
  delay(20);
}

void open() {
  digitalWrite(LOCK_PIN, HIGH);
  Serial.println("Serratura aperta");
}

void close() {
  digitalWrite(LOCK_PIN, LOW);
  Serial.println("Serratura chiusa");
}

